ru.bitel.bgbilling.modules.payonline.server.bean

## Class RebillWorker

- java.lang.Object
- - java.lang.Thread
  - - ru.bitel.bgbilling.modules.payonline.server.bean.RebillWorker

- All Implemented Interfaces:
    java.lang.Runnable

      public class RebillWorker
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CURRENCY` Валюта платежа

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RebillWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(int mid, java.lang.String rebillUrl, java.lang.String merchantId, java.lang.String privateSecKey, java.util.List<Rebill> rebillTransactionList)`
    `void` | `rebillPay(Rebill payOnlineRebill)` Производит попытку оплаты по протоколу Rebill.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CURRENCY

          public static final java.lang.String CURRENCY

      Валюта платежа
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RebillWorker

          public RebillWorker()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### init

          public void init(int mid,
                           java.lang.String rebillUrl,
                           java.lang.String merchantId,
                           java.lang.String privateSecKey,
                           java.util.List<Rebill> rebillTransactionList)

    - #### rebillPay

          public void rebillPay(Rebill payOnlineRebill)
                         throws ru.bitel.bgbilling.common.BGException

      Производит попытку оплаты по протоколу Rebill.
      Parameters:
        `payOnlineRebill` - - автоплатеж
      Throws:
        `ru.bitel.bgbilling.common.BGException`